blob: 8e4461d85a31999c400aedb6ab26e68316a8098e (
plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
|
--- csvfix-build.orig/csvfix/tests/run1
+++ csvfix-build/csvfix/tests/run1
@@ -1,4 +1,4 @@
-#!bash
+#!/bin/bash
# run1
# run single test
# copyright (C) 2008 Neil Butterworth
@@ -49,7 +49,7 @@
fi
# exe to be tested - used in tests
-CSVED=../bin/csvfix.exe
+CSVED=../bin/csvfix
export CSVED
if [ ! -f "$CSVED" ]
@@ -64,7 +64,7 @@
fi
# where to find diff & where to put output
-DIFF=/bin/diff
+DIFF=/usr/bin/diff
DIFFOUT=tmp/_diffout
WINDIFF="C:/Program Files/Microsoft Visual Studio/Common/Tools/WINDIFF.EXE"
TEST=`basename $TEST`
@@ -133,5 +133,7 @@
fi
else
echo "Execution problem with $TEST - please correct"
+ color_red "FAILED $TEST"
+ exit 1
fi
--- csvfix-build.orig/csvfix/tests/runtests
+++ csvfix-build/csvfix/tests/runtests
@@ -1,4 +1,4 @@
-#!bash
+#!/bin/bash
# runall.bash
# run all tests and report
@@ -22,3 +22,8 @@
echo $FAILS failed, $PASSES passed
echo ""
+if [[ $FAILS -gt 0 ]]; then
+ exit 1
+else
+ exit 0
+fi
|